Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<DeferredDeletion(False)> _
<NavigationItem(False), CreatableItem(False)> _
Public Class RRFCQueryRows
    Inherits BaseObject
    Private _RRFCQueryHeader As RRFCQueryHeader
    Private _InvoiceRows As InvoiceRows
    Private _RegistryHeader As RegistryHeader
    Private _RegistryRowsFinancialControlling As RegistryRowsFinancialControlling
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("RRFCQueryHeader-RRFCQueryRows", GetType(RRFCQueryHeader))> _
    Property RRFCQueryHeader As RRFCQueryHeader
        Get
            Return _RRFCQueryHeader
        End Get
        Set(value As RRFCQueryHeader)
            SetPropertyValue("RRFCQueryHeader", _RRFCQueryHeader, value)
        End Set
    End Property
    Property InvoiceRows As InvoiceRows
        Get
            Return _InvoiceRows
        End Get
        Set(value As InvoiceRows)
            SetPropertyValue("InvoiceRows", _InvoiceRows, value)
        End Set
    End Property
    Property RegistryHeader As RegistryHeader
        Get
            Return _RegistryHeader
        End Get
        Set(value As RegistryHeader)
            SetPropertyValue("RegistryHeader", _RegistryHeader, value)
        End Set
    End Property
    Property RegistryRowsFinancialControlling As RegistryRowsFinancialControlling
        Get
            Return _RegistryRowsFinancialControlling
        End Get
        Set(value As RegistryRowsFinancialControlling)
            SetPropertyValue("RegistryRowsFinancialControlling", _RegistryRowsFinancialControlling, value)
        End Set
    End Property
End Class

